# Get value from all string type attributes from input list

from maptek import vulcan

input_tri = "pit_solid.00t"  # triangulation to use

input_attributes = ['oxd','bench','flagged']

with vulcan.tri_attributes(input_tri) as tri:  # open triangulation in read mode
    for string in input_attributes:
        val = tri.get_string(string)  # return the attribute value as a string
        print(f"{val}")